## dmidecode 3.5

=== debian/changelog ===
dmidecode (3.5-3ubuntu0.1) noble; urgency=medium

  * Add processor support from SMBIOS 3.6.0 (LP: #2081611)
    - debian/patches/lp-2081611-add-processor-support-from-smbios-3.6.0.patch

 -- Joao Andre Simioni <joao.simioni@canonical.com>  Mon, 14 Oct 2024 17:25:58 -0300

dmidecode (3.5-3build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:56:23 +0200

dmidecode (3.5-3) unstable; urgency=medium

  * Add loong64 to architecture list (Closes: #1050154).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 18 Dec 2023 20:46:36 +0100

dmidecode (3.5-2) unstable; urgency=medium

  * New upstream patches:
    - debian/patches/0155-use_read_file.patch
    - debian/patches/0160-HPE_OEM_Firmware_change.patch
  * Add debian/dmidecode.lintian-overrides for wrong groff-message.
  * debian/rules:
    - Remove ansi mode from override_dh_auto_build (Closes: #1041611).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 13 Aug 2023 19:53:46 +0200

dmidecode (3.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1032980).
    - Fix CVE-2023-30630 (Closes: #1034483).
  * Declare compliance with Debian Policy 4.6.2.0 (No changes needed).
  * debian/copyright:
    - Add year 2023 to myself.
  * debian/control:
    - Change to new repository.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 23 Apr 2023 10:55:50 +0200
