=== debian/control ===
Source: dmidecode
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2.0
Rules-Requires-Root: no
Vcs-Git: git://git.jff.email/dmidecode.git
Vcs-Browser: https://git.jff.email/cgit/dmidecode.git/
Homepage: https://nongnu.org/dmidecode/

Package: dmidecode
Priority: important
Architecture: any-amd64 arm64 armhf ia64 any-i386 riscv64 loong64
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SMBIOS/DMI table decoder
 Dmidecode reports information about the system's hardware as described in the
 system BIOS according to the SMBIOS/DMI standard.
 .
 This information typically includes system manufacturer, model name, serial
 number, BIOS version, asset tag as well as a lot of other details of varying
 level of interest and reliability depending on the manufacturer. This will
 often include usage status for the CPU sockets, expansion slots (e.g. AGP, PCI,
 ISA) and memory module slots, and the list of I/O ports (e.g. serial, parallel,
 USB).
 .
 Beware that DMI data have proven to be too unreliable to be blindly trusted.
 Dmidecode does not scan the hardware, it only reports what the BIOS told it to.

Package: dmidecode-udeb
Section: debian-installer
Architecture: any-amd64 arm64 armhf ia64 any-i386
Package-Type: udeb
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SMBIOS/DMI table decoder (udeb)
