## dmidecode 3.5-3ubuntu0.1trisquel0

=== debian/changelog ===
dmidecode (3.5-3ubuntu0.1trisquel0) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 26 Nov 2024 00:45:18 +0000
