=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.2.0
