=== debian/changelog ===
dmidecode (3.6-2) unstable; urgency=medium

  * debian/control:
    - Change VCS-Git from git to https.
  * Declare compliance with Debian Policy 4.7.0 (No changes needed).
  * New debian/patches/0600-Fix-groff-error.patch to fix groff error.
  * Remove obsolate debian/dmidecode.lintian-overrides.
  * debian/control:
    - Enable udeb for riscv64 and loong64 (Closes: #1087465).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 15 Nov 2024 18:41:58 +0100

dmidecode (3.6-1) unstable; urgency=medium

  * New upstream release (Closes: #1069767).
    - Rebase patches.
    - Remove upstream applied patches:
      + debian/patches/0155-use_read_file.patch
      + debian/patches/0160-HPE_OEM_Firmware_change.patch
  * debian/copyright:
    - Add year 2024 to myself.
    - Rebase to the new release.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 30 Jun 2024 20:32:37 +0200
