=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Git: git://git.jff.email/dmidecode.git
+Vcs-Git: https://git.jff.email/cgit/dmidecode.git
 Vcs-Browser: https://git.jff.email/cgit/dmidecode.git/
 Homepage: https://nongnu.org/dmidecode/
 
@@ -31,7 +30,7 @@
 
 Package: dmidecode-udeb
 Section: debian-installer
-Architecture: any-amd64 arm64 armhf ia64 any-i386
+Architecture: any-amd64 arm64 armhf ia64 any-i386 riscv64 loong64
 Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder (udeb)
