=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie


include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- CC=$(CC) CFLAGS="$(CFLAGS) $(CPPFLAGS) -Os" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

	# remove useless files
	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
	rm -f debian/tmp/usr/share/doc/dmidecode/README
